Subject: Re: [PATCH 1/4] config --show-origin: report paths with forward slashes

From: Johannes Sixt <[email-masked]>
Date: Wed, 30 Mar 2016 07:52:09 +0200

Am 29.03.2016 um 21:18 schrieb Johannes Sixt:
> Am 28.03.2016 um 17:14 schrieb Johannes Schindelin:
>> The problem with your patch is that it does not account for backslashes in
>> paths resulting in quoting. I am afraid that your patch will most likely
>> *not* let the tests pass in Git for Windows SDK, while my patch does.
>
> It does pass. The reason is that pwd -W generates forward slashes.

It just occurred to me that we might be observing a difference in 
behavior of pwd -W between the modern MSYS2 bash and the old MSYS1 bash 
that I am using. If that is the case the tests won't pass under MSYS2 
without the change made by 5ca6b7bb (config --show-origin: report paths 
with forward slashes).

-- Hannes